Acelogix Software

Registry Backup and Restore (RegBak) Help
Introduction > About
The Registry, the central hierarchical database used in the Microsoft Windows, is used to store information necessary to configure the PC for one or more users, applications and hardware devices. The Registry contains information that Windows continually references during operations such as setting profiles for each user, details about the applications installed on your computer and the types of documents that an application can create, what all hardware exists in the system, the ports that are being used, etc.

So, it's quite logical to take periodic backups of Registry so that, if needed, you can restore a good and working Registry if it gets corrupted. Registry Backup and Restore helps you with this. Using this 'light-weight' and extremely simple utility, you can create backups of Registry files to a location of your choice and restore these files at a later date.

Registry Backup and Restore Help File - Last Updated on Nov 20, 2014


Registry Backup and Restore > Registry Backup
  1. Start Registry Backup and Restore
  2. Click New Backup... Here, you can set the folder to which registry files are to be copied. The default backup folder created is 'Regbak' inside your 'Windows' folder. You can set your own location. To better suit your backup needs and provide flexibility in creating backup folder, you can use certain 'parameters' with your backup folder path. Click here to read more about them.

    In the Description area, you can provide a brief info regarding the backup you are about to create.

    Now, click on the link click here to view details of the hives in the backup to view and modify the 'registry hives' to backup. This will open the 'Backup Hives' window. Here you can select the registry hives to backup. By default, the 'System' and 'Current User' hives are selected. You can instruct the program to backup the rest of the hives by selecting the required options.

  3. Click Start to begin the backup process. Appropriate progress messages will be shown as the process is underway. Once backup is complete, you can go to the folder where the backup was made by clicking the path shown.
  4. To set various options for RegBak, click Options
    This will take you to the Options page.


Registry Backup and Restore > Registry Restore

Let us see how we can restore a registry backup created using this utility.

  1. Start Registry Backup and Restore
  2. If you have created any backups, it should be readily visible. Choose the appropriate backup entry you want to use. Click Restore
  3. The 'Registry Restore' window comes up. Here you can see the details about the backup you have selected for restoration. Click Advanced options to see what all registry hives are being restored, the restore method used, etc. Normally, you do not need to make any changes here.
  4. Click Start to begin the restore process.
  5. After the restoration process is complete, you will be prompted to reboot the pc. Click 'OK'.
Note: Rebooting the PC is a very important step after the restoration process and has to be done when prompted so.


Registry Backup and Restore > Options

The 'Options' section provides you with a wide range of settings. They are as explained in the section below.

  • Default backup folder
    Here you can set the folder where the backup should be created.

    By default, the backup folder location is <%'SystemRoot%>\Regbak\<ComputerName>\<DATE>\.

    The default path is set inside the Windows folder. This way the user can access it from the Windows Recovery Console in case Windows won't boot. You can customize this path to best suit your needs.

    If you made changes to the backup folder location and want to go back to the default setting, then simply delete the path and click 'OK'. When you re-open the 'Options', the path will revert to its default state.

    RegBak allows certain parameters to be included while building a backup path. Supported parameters are:
    <date> | Current date
    <time> | Current time
    %SystemRoot% | Windows folder location
    %windir% | Windows folder location
    %UserProfile% | User profile folder location
    %SystemDrive% | System Drive
    %CurrentDrive% | Drive where Regbak is
    %CurrentDirectory% | Folder where Regbak is
    <ComputerName> | PC name

    Date Format:
    Here you can set your preferences for the <DATE> parameter.

    Default format for date is taken from your current Windows date setting.

    To set the day, you can use d : no zero prefix for single-digit day
    dd : zero prefix for single-digit day
    ddd : abbreviated day of the week
    dddd : day of the week
    To set the month, you can use M : no zero prefix for single-digit month
    MM : zero prefix for single-digit month
    MMM : abbreviated month of the year
    MMMM : month of the year

    Note : You should use 'M', not 'm'.
    To set the year, you can use y : no zero prefix for single-digit year
    yy : zero prefix for single-digit year
    yyy : year represented by the full digits
    yyyy : same as 'yyy'
    Time Format:
    Here you can set your preferences for the <TIME> parameter.
    Default format for time is taken from your current Windows time setting.
    h
    hh
    H
    HH
    m
    mm
    s
    ss
    t
    tt     		no zero prefix for single-digit hours; 12-hour clock
    zero prefix for single-digit hours; 12-hour clock
    no zero prefix single-digit hours; 24-hour clock
    zero prefix single-digit hours; 24-hour clock
    no zero prefix for single-digit minutes
    zero prefix for single-digit minutes
    no zero prefix for single-digit seconds
    zero prefix for single-digit seconds
    A or P (short for AM or PM)
    AM or PM

    When you make changes to the 'Default backup folder' setting, you can see how those changes will translate in to by checking the 'Preview' area.

  • Overwrite any existing backups in the backup folder
    If this option is enabled, the previous backups created, if any, will be deleted while creating the new backup.
  • Ask to create backup folder if it does not exist
    Enable this option to ask your permission to create the folder for a registry backup if the folder does not exist.
  • Compress files after backup (MS Cabinet format)
    Use this option to compress registry files after they are copied to the backup location. This option is not available in Windows XP.
  • Use Volume Shadow Copy to backup
    Enable this option to use Windows' Volume Shadow Copy Service to perform the registry backup. This option is not available in Windows XP.
  • Do not delete any backups
    Old backups will not be deleted while creating new backups and no matter how many days old.
  • Delete backups that are older than 'x' days
    Old backups which are older than 'x' days will be deleted automatically. By default, it is set to '30' days.
  • Delete all backups except the last 'y'
    Only the latest 'y' backups will be kept in the backup folder. Older backups will be deleted automatically. By default, it is set to '10'.
Note: The above 'delete backup' options are applicable only to those backups created in your hard disk(s).


Advanced Options > Scheduling a backup

You can easily create a 'scheduled backup of Windows registry' using RegBak with the following format.

regbak /dir:"backup path" /reg:[suo] /silent /overwrite:[y|n] /compress:[y|n] /vss:[y|n] /limitdays:d /limitcount:c /desc:<description for backup>
The various parameters are as explained below:
regbak | regbak executable
/dir:"backup path" | The path to the folder where the registry backup is to be made. RegBak allows certain parameters to be included while building a backup path. Click here to know about them.
/reg:[suo] | s = system hives, u = user hives, o = all other hives
/silent | [Optional] Silent operation; will not show any notifications
/overwrite:[y|n] | [Optional] Overwrites previous backup files in the backup folder y = Yes, n = NO
/compress:[y|n] | [Optional] Compresses the backup files after they are copied to the backup folder y = Yes, n = NO
/vss:[y|n] | [Optional] Use Volume Shadow Copy Service to take backup y = Yes, n = NO
/limitdays:d | [Optional] All backups older than 'd' days will be deleted
/limitcount:c | [Optional] Only keeps the latest 'c' number of backups
/desc:<description> | [Optional] You can provide a brief description about the nature of the backup

How to create a scheduled registry backup using RegBak in Windows Vista, Windows 7, Windows 8, 8.1
  1. Open 'Windows Run' (Winkey + R). Type 'taskschd.msc' with out the quotes and press OK. This will open the Windows 'Task Scheduler'. Click 'Create Task.
  2. In the 'General' section, look for the 'Name' box. Enter a name for the task we are about to create. Also, enable the 'Run with highest privilege' option at the bottom of this section.
  3. Now, go to the 'Triggers' section. Click 'New...'. Set a suitable schedule for creating the backup.
  4. Now, go to the 'Actions' section. Click 'New...'. A 'New Action' box will come up. Here, in the 'Action' drop-down list, check if the option 'Run a program' is selected. This is the default setting. In the 'Program/Script' section, click 'Browse' to show the location of the 'RegBak' executable file. In the 'Add Arguments (Optional)' box, you can add the parameters you want RegBak to execute. The various parameters accepted as explained in the start of this section. You should at least specify the "/dir:" and "/reg:" parameters.
  5. Click 'OK' to save and set the 'scheduled task'.
You can also call RegBak from Command Prompt.

Assuming that
"C:\Windows\RegBak" is the backup location,
"C:\Program Files\RegBak\" is your RegBak program folder location, and
you've opened a command prompt/console with administrative privilege,
then some valid usages are:

regbak64.exe /dir:"C:\Windows\RegBak\<date>\<time>" /reg:su /compress:y /desc:"Backup from command line"

regbak64.exe" /dir:"C:\Windows\RegBak\<date>\<time>" /reg:su /limitdays:5

[From 'Windows Start Menu > Run']
"C:\Program Files\RegBak\regbak.exe" /dir:"C:\Windows\RegBak\<date>\<time>" /reg:su


Advanced Options > Recovery Console
Restore from Windows 8.1, 8, 7, Vista Recovery Console / Command Prompt
Assuming:
1) Your Windows drive is 'D:'
2) Your RegBak backup location is 'D:\Windows\RegBak\<your computer name>\'
3) The backup you want to restore is in the sub-folder '2014-09-03'

Then at the command prompt, type the following commands one by one and press 'ENTER' key.
D:\
cd D:\Windows\RegBak\<your computer name>\2014-09-03
regres.cmd
The Registry Backup and Restore tool will now copy the required files one by one. After the restore process is complete, type this command at the prompt: exit

Note: Substitute your Windows drive and RegBak backup location accordingly.

Restore from Windows XP Recovery Console;
Assuming:
1) Your Windows drive is 'C: '
2) Your RegBak backup location is 'C:\Windows\RegBak\<your computer name>\'
3) The backup you want to restore is in the sub-folder '2014-09-03'

Then at the command prompt, which will typically be 'C:\Windows', type the following commands.
cd RegBak\<your computer name>\2014-09-03
batch regres.cmd
The Registry Backup and Restore tool will now copy the required files one by one. After the restore process is complete, type this command at the prompt: exit

Note: Substitute your Windows drive and RegBak backup location accordingly.